# HG changeset patch
# User Jens Jensen <kd4tjx@yahoo.com>
# Date 1387994609 21600
#      Wed Dec 25 12:03:29 2013 -0600
# Node ID 599def5cbe63d73f5a7a4405972a8ce458184882
# Parent  ce0a9886df9323340075b11365441176c87ccbdd
[uv-b5] additional settings #1315

diff -r ce0a9886df93 -r 599def5cbe63 chirp/uvb5.py
--- a/chirp/uvb5.py	Wed Dec 25 11:54:13 2013 -0600
+++ b/chirp/uvb5.py	Wed Dec 25 12:03:29 2013 -0600
@@ -83,6 +83,14 @@
      txtdr:2;
   u8 sidetone;
   u8 vox;
+  u8 unk1;
+  u8 mem_chan_a;
+  u16 fm_vfo;
+  u8 unk4;
+  u8 unk5;
+  u8 mem_chan_b;
+  u8 unk6;
+  u8 last_menu; // number of last menu item accessed
 } settings;
 
 #seekto 0x0D50;
@@ -512,6 +520,14 @@
                                         options[self._memobj.settings.mdf_b]))
         basic.append(rs)
 
+        rs = RadioSetting("mem_chan_a", "Mem Channel (A)",
+              RadioSettingValueInteger(0, 99, self._memobj.settings.mem_chan_a))
+        basic.append(rs)
+
+        rs = RadioSetting("mem_chan_b", "Mem Channel (B)",
+              RadioSettingValueInteger(0, 99, self._memobj.settings.mem_chan_b))
+        basic.append(rs)
+
         options = ["Off", "BOT", "EOT", "Both"]
         rs = RadioSetting("pttid", "PTT-ID",
                           RadioSettingValueList(options,
